Index: Makefile.in
==================================================================
--- Makefile.in
+++ Makefile.in
@@ -56,11 +56,11 @@
 	cp tcc/libtcc.a tcc4tcl-static.new.a
 	$(AR) rcu tcc4tcl-static.new.a tcc4tcl.o
 	-$(RANLIB) tcc4tcl-static.new.a
 	mv tcc4tcl-static.new.a tcc4tcl-static.a
 
-install: $(TARGET) pkgIndex.tcl $(srcdir)/tcc4tcl.tcl tcc/libtcc1.a $(shell echo $(srcdir)/tcc/include/*) $(srcdir)/headers.awk
+install: $(TARGET) pkgIndex.tcl $(srcdir)/tcc4tcl.tcl tcc/libtcc1.a $(shell echo $(srcdir)/tcc/include/*) $(srcdir)/headers.awk $(srcdir)/patch-headers.sh
 	$(INSTALL) -d "$(DESTDIR)$(PACKAGE_INSTALL_DIR)"
 	$(INSTALL) -d "$(DESTDIR)$(PACKAGE_INSTALL_DIR)/lib"
 	$(INSTALL) -d "$(DESTDIR)$(PACKAGE_INSTALL_DIR)/include"
 	$(INSTALL) -m 0755 $(TARGET) "$(DESTDIR)$(PACKAGE_INSTALL_DIR)"
 	$(INSTALL) -m 0644 pkgIndex.tcl "$(DESTDIR)$(PACKAGE_INSTALL_DIR)"
@@ -80,10 +80,11 @@
 			dstdir="$$(dirname "$$dst")"; \
 			mkdir -p "$$dstdir"; \
 			echo cp "$$src" "$$dst"; \
 			cp "$$src" "$$dst"; \
 		done
+	$(srcdir)/patch-headers.sh "$(DESTDIR)$(PACKAGE_INSTALL_DIR)/include"
 
 test:
 	rm -rf __TMP__
 	$(MAKE) install tcllibdir=$(shell pwd)/__TMP__
 	-if [ "$(PACKAGE_VERSION)" = '@@VERS@@' ]; then cd __TMP__/* && sed -i 's|@@VERS@@|0.0.0.11|g' tcc4tcl.@SHOBJEXT@ pkgIndex.tcl; fi

ADDED   patch-headers.sh
Index: patch-headers.sh
==================================================================
--- /dev/null
+++ patch-headers.sh
@@ -0,0 +1,31 @@
+#! /bin/bash
+
+headers_dir="$1"
+
+cd "${headers_dir}" || exit 1
+
+# Android header fix-ups
+## Do not abort compilation at header include time
+if grep '^#error "No function renaming possible"' sys/cdefs.h >/dev/null 2>/dev/null; then
+	awk '
+/#error "No function renaming possible"/{
+	print "#define __RENAME(x) no renaming on this platform"
+	next
+}
+{print}
+	' sys/cdefs.h > sys/cdefs.h.new
+	cat sys/cdefs.h.new > sys/cdefs.h
+	rm -f sys/cdefs.h.new
+fi
+
+## loff_t depends on __GNUC__ for some reason
+if awk -v retval=1 '/__GNUC__/{ getline; if ($0 ~ /__kernel_loff_t/) {retval=0} } END{exit retval}' asm/posix_types.h >/dev/null 2>/dev/null; then
+	awk '/__GNUC__/{ getline; if ($0 ~ /__kernel_loff_t/) { print "#if 1"; print; next } } { print }' asm/posix_types.h > asm/posix_types.h.new
+	cat asm/posix_types.h.new > asm/posix_types.h
+	rm -f asm/posix_types.h.new
+fi
+
+# Busted wrapper fix-up
+if grep '__STDC_HOSTED__' stdint.h >/dev/null 2>/dev/null && grep '_GCC_WRAP_STDINT_H' stdint.h >/dev/null 2>/dev/null; then
+	echo '#include_next <stdint.h>' > stdint.h
+fi